##
##  Pkg.pm -- OpenPKG Perl API
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

package OpenPKG::Pkg;

require 5;
require Exporter;

@ISA       = qw(Exporter);
@EXPORT_OK = qw(new destroy DESTROY);

sub new {
    my $proto = shift;

    my $class = ref($proto) || $proto;
    my $self = {};
    bless ($self, $class);

    return $self;
}

sub destroy {
    my $self = shift;
    return;
}

sub DESTROY {
    my $self = shift;
    $self->destroy;
    return;
}

1;

__END__

=pod

=head1 NAME

B<OpenPKG::Pkg> - OpenPKG Package Abstraction

=head1 SYNOPSIS

...

=head1 DESCRIPTION

...

=head1 METHODS

=over 4

=item C<$pkg = >B<new>C< OpenPKG::Pkg (>[C<$env>]C<);>

=item C<$pkg-E<gt>>B<destroy>C<;>

FIXME
    get (--attr)
    set (--attr)

=head1 SEE ALSO

L<OpenPKG::Idx(3)>.

=head1 AUTHOR

The OpenPKG Project E<lt>http://www.openpkg.org/E<gt>

=cut

